const require_DidCommFeature = require('./DidCommFeature.js');

//#region ../didcomm/src/models/features/DidCommGoalCode.ts
var DidCommGoalCode = class DidCommGoalCode extends require_DidCommFeature.DidCommFeature {
	constructor(props) {
		super({
			...props,
			type: DidCommGoalCode.type
		});
	}
};
DidCommGoalCode.type = "goal-code";

//#endregion
exports.DidCommGoalCode = DidCommGoalCode;